Page MenuHomePhabricator

Make Wikidata Image Positions tool translatable on translatewiki.net
Closed, ResolvedPublic2 Estimated Story Points

Description

Following a translation request by @ProtoplasmaKid, I’ve been working on extracting the translation code from the Wikidata Lexeme Forms tool into a separate library, and I think I’m going to be ready to use it in Wikidata Image Positions soon – maybe we can make it happen at the Hackathon :)

Project information

Name: Wikidata Image Positions
Homepage: https://wd-image-positions.toolforge.org/
Project link: https://wd-image-positions.toolforge.org/ ? or https://www.wikidata.org/wiki/User:Lucas_Werkmeister/Wikidata_Image_Positions ? still not sure what the difference between homepage and project link is tbh
Code repository: https://gitlab.wikimedia.org/toolforge-repos/wd-image-positions or https://github.com/lucaswerkmeister/tool-wd-image-positions/

  • Source branch: main
  • Target branch: main or i18n – since translation changes have to be manually deployed, I’d prefer to receive pull requests rather than direct pushes, as also in Wikidata Lexeme Forms (T272243); I’d be happy for the pull requests to be either on GitHub or on GitLab

OS License: AGPL v3
Issue Tracker: Tool-wd-image-positions
Project contact: User:Lucas Werkmeister

Logo:
None so far.

Project description:
Wikidata Image Positions is a Wikimedia Toolforge tool to view and edit depicted regions on Wikidata items and Wikimedia Commons images.

NOTE: Section below will be filled by twn staff

Project setup checklist

Project configuration (for translation admins)

Namespace: NS_WIKIMEDIA
Prefix: wikidata-image-positions
Validators:
Support: Tool-wd-image-positions

Concerns

Event Timeline

I'm interested in helping this move forward.

siebrand changed the task status from Open to In Progress.May 4 2024, 12:13 PM
siebrand updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-cloud) [2024-05-04T12:16:58Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed deb5b1c44e (extract toolforge_i18n library: T363626)

Change #1027119 had a related patch set uploaded (by Siebrand; author: Siebrand):

[translatewiki@master] Add support for wikidata-image-positions

https://gerrit.wikimedia.org/r/1027119

Mentioned in SAL (#wikimedia-cloud) [2024-05-04T12:21:19Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed 418ca66477 (make translatable using toolforge_i18n: T363626)

Mentioned in SAL (#wikimedia-cloud) [2024-05-04T12:24:23Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> added l10n-bot as developer member on GitLab (ca. 30 minutes ago, but logging now for the record) (T363626)

Change #1027119 merged by jenkins-bot:

[translatewiki@master] Add support for wikidata-image-positions

https://gerrit.wikimedia.org/r/1027119

The import into TWN seems to have worked – I just translated most of the messages into German. (Except for the tool name, because I don’t know if I want it translated or not. I’ll leave that decision to another translator, given that I usually use the software in English anyway ^^)

The project is now active on twn. Please keep the task open until the first successful exports. These should happen next Monday.

In addition to making the rest of the tool translatable, I realized there’s also one more important thing I need to do before this can be considered done: add a way for users to set the language :D

(Currently, only ?uselang= is supported, otherwise it’ll use the browser language. I’ll probably add a preference just like in lexeme-forms.)

Mentioned in SAL (#wikimedia-cloud) [2024-05-05T09:35:34Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed 4da2a2bc42 (settings page, T363626)

Mentioned in SAL (#wikimedia-cloud) [2024-05-05T09:48:41Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed 17817c0cad (GitHub actions fix, pulled without webservice restart, T363626)

Mentioned in SAL (#wikimedia-cloud) [2024-05-05T09:53:41Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed c6407a31ae (make “logged in as” translatable, T363626)

A PR was created successfully from twn to gitlab.

Mentioned in SAL (#wikimedia-cloud) [2024-05-05T10:42:22Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed 73baa98186 (l10n updates: de, eu, fi, ko, mk, nb, nl; T363626)

Mentioned in SAL (#wikimedia-cloud) [2024-05-05T10:47:50Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed 6b0e493e20 (fix language setting, T363626)

Hm, I just realized that having the CI on GitHub is not ideal if the l10n-bot merge requests are on GitLab, given that many of the tests are making sure the translations are right 😅

So I guess I’ll try to move the CI to GitLab…

Mentioned in SAL (#wikimedia-cloud) [2024-05-06T18:27:09Z] <wmbot~lucaswerkmeister@tools-sgebastion-10> deployed e8d438134b (add GitLab CI for T363626; pulled without webservice restart)

Alright, GitLab CI wasn’t as bad as I feared ;) I’ll copy some more things from wikibugs2 CI later but for now it should be working (and I should see the result on the next translation export… Thursday?).

Yes, there are still some parts of the tool I need to make translatable / add messages for. I’ll close the task when it’s done.

Mentioned in SAL (#wikimedia-cloud) [2024-05-19T13:39:28Z] <wmbot~lucaswerkmeister@tools-bastion-13> deployed bd8f091ad1 (make “… with no region specified” translatable, T363626)

Mentioned in SAL (#wikimedia-cloud) [2024-05-19T14:46:12Z] <wmbot~lucaswerkmeister@tools-bastion-13> deployed 903c13a18a (make editing interface translatable, T363626)

Mentioned in SAL (#wikimedia-cloud) [2024-05-19T16:05:27Z] <wmbot~lucaswerkmeister@tools-bastion-13> deployed 0486d8ade3 (make rest of tool translatable; resolves T363626)

Alright, I think this is done now \o/

One last question for the people still subscribed here. There are some messages that are shared between this tool, Wikidata Lexeme Forms, and any other tools of mine (or others) that I make translatable in future: such as the “Documentation”, “Wikimedia Toolforge” and “Source code” links in the navigation bar, but also pages like the failed login error page. Do you think it’s worth finding some way to share those messages directly between the tools? Or is it easier to keep them separate, and just rely on “translation memory” suggestions and/or the {{Identical}} template to streamline the repeated translation of those messages?

Messaging sharing (or re-using) is generally discouraged because we are erring on the side of making it possible to change each translation to fit in the context (which is hard to keep the same when re-using) for a little bit of extra effort for translators.